api_v2_snapshots_list
GET
/api/v2/snapshots/
const url = 'https://example.com/api/v2/snapshots/';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v2/snapshots/ \ --header 'X-API-Key: <X-API-Key>'List your account-wide VM snapshots — used to pick a snapshot_code for restore-from-snapshot when creating a VM.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”vm_code
string format: uuid
Responses
Section titled “Responses”Media typeapplication/json
object
success
required
boolean
msg
object
msg_kind
string
msg_text
string
data
object
key
additional properties
pagination
object
count
integer
next
string
previous
string
Example generated
{ "success": true, "msg": { "msg_kind": "example", "msg_text": "example" }, "data": { "additionalProperty": "example" }, "pagination": { "count": 1, "next": "example", "previous": "example" }}